LINUX.ORG.RU

Установка QGIS в Gentoo

 


0

1

Добрый день, пытаюсь поставить QGIS в генту. Сначало пробовал со стабильного дерева, потом с оверлеев. Не компилиться и всё тут, по ошибкам не могу понять чё ему надо, может кто более просвещённый подскажет?

http://pastebin.com/BvsxDiw7

Перемещено mono из linux-install

Здесь советуют отключить флаг python. Ошибка не такая же, но всё же попробуйте поиграться с флагами.
И поставьте тег «gentoo», чтобы более опытные товарищи скастовались, иначе топик может остаться без внимания.

mathcrosp ★★ ()
Последнее исправление: mathcrosp (всего исправлений: 2)

qgis-1.8.0 из дерева не собирается.

C USE=-python по совету товарища выше - собирается. Специально для тебя проверил. :)

NeverLoved ★★★★★ ()
Ответ на: комментарий от NeverLoved

Питон тут не причём вроде как, такой совет по гуглу находил, но ошибка при компиляции остаётся, причём таже самая. Всё что я из неё понял, так это что он вроде как на java ругается.

Caesin ()
Ответ на: комментарий от Caesin

libjvm.so, needed by /usr/lib/gcc/x86_64-pc-linux-gnu/4.7.3/../../../../lib64/libgdal.so, not found

Наверное, начинать копать следует отсюда.

mathcrosp ★★ ()

похоже на underlinking, репорть на багзиллу

Предварительно проверь, корректно ли у тебя выставлена используемая JVM в java-config

Pinkbyte ★★★★★ ()
Ответ на: комментарий от Lavos

Дык если у тебя тоже -java, я думаю тогда пофигу какой Java-vm стоит, всёравно соберётся :)

Caesin ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.